import 'dart:async';

import 'package:flutter/services.dart';

class FlutterGooglefit {
  static const MethodChannel _channel =
      const MethodChannel('com.dh/flutter_googlefit');

  static Future<bool> reqCheckPermissionGoogleFit() async {
    return await _channel.invokeMethod('reqCheckPermissionGoogleFit');
  }

  static Future<Null> reqPermissionGoogleFit() async {
    return await _channel.invokeMethod('reqPermissionGoogleFit');
  }

  static Future<int> reqTotalStepData(
      String targetStartDate, String targetEndtDate) async {
    return await _channel.invokeMethod('reqTotalStepData',
        {"targetStartDate": targetStartDate, "targetEndDate": targetEndtDate});
  }
}
